-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFT
-- Description: 	1-Bit 3-state Buffer with Active Low Enable
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFT
-- -----------------------------------------------------------------
ENTITY BUFT IS
    PorT(I, T: IN std_logic:='U';
         O: OUT std_logic);
end BUFT;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFT
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFT IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------
 
   O <= I when T='0' else 'Z';
-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
