-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	IOBUFC4B
-- Description: 	4-Bit Input/Output Buffer With Separated Control, Bus Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity IOBUFC4B is
  port (
    T  : in    std_logic_vector(3 downto 0);
    I  : in    std_logic_vector(3 downto 0);
    IO : inout std_logic_vector(3 downto 0);
    O  : out   std_logic_vector(3 downto 0)
    );
end IOBUFC4B;

architecture STRUCTURE of IOBUFC4B is

begin
	
  O <= IO;

  IO(0) <= I(0) when T(0) = '0' else 'Z';
  IO(1) <= I(1) when T(1) = '0' else 'Z';
  IO(2) <= I(2) when T(2) = '0' else 'Z';
  IO(3) <= I(3) when T(3) = '0' else 'Z';


end STRUCTURE;
