-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J16B2_32B
-- Description: 	2 x 16-Bit input bus to 1 x 32-bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J16B2_32B is
  port (
    IA, IB : in std_logic_vector(15 downto 0);
    O : out std_logic_vector(31 downto 0)
    );
end entity;

architecture STRUCTURE of J16B2_32B is
begin
  
  O(15 downto 0) <= IA(15 downto 0);
  O(31 downto 16) <= IB(15 downto 0);

end architecture;
