-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J16B_4B4X
-- Description: 	1 x 16-bit IO bus to 4 x 4-Bit IO bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J16B_4B4X is
  port (
    IO : inout std_logic_vector(15 downto 0);
    IOA, IOB, IOC, IOD : inout std_logic_vector(3 downto 0)
    );
end entity;

architecture STRUCTURE of J16B_4B4X is

signal VCC : std_logic;

begin

  
VCC <= '1';

IOA <= (IO(3), IO(2), IO(1), IO(0)) when (VCC = '1') else (Others =>'Z');
 
  IO(0) <= IOA(0);
  IO(1) <= IOA(1);
  IO(2) <= IOA(2);
  IO(3) <= IOA(3);
  
IOB  <= (IO(7), IO(6), IO(5), IO(4)) when (VCC = '1') else (Others =>'Z'); 

  IO(4) <= IOB(0);
  IO(5) <= IOB(1);
  IO(6) <= IOB(2);
  IO(7) <= IOB(3);
       
IOC  <= (IO(11), IO(10), IO(9), IO(8)) when (VCC = '1') else (Others =>'Z'); 
    
  IO(8)  <= IOC(0);
  IO(9)  <= IOC(1);
  IO(10) <= IOC(2);
  IO(11) <= IOC(3);
  
IOD  <= (IO(15), IO(14), IO(13), IO(12)) when (VCC = '1') else (Others =>'Z'); 

  IO(12) <= IOD(0);
  IO(13) <= IOD(1);
  IO(14) <= IOD(2);
  IO(15) <= IOD(3);

end architecture;
