-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J16S_16BX
-- Description: 	16 Single pin IO to single 16-Bit IO bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J16S_16BX is
  port (
    IO_A, IO_B, IO_C, IO_D, IO_E, IO_F, IO_G, IO_H, 
    IO_I, IO_J, IO_K, IO_L, IO_M, IO_N, IO_O, IO_P : inout std_logic;
    IO : inout std_logic_vector(15 downto 0)
    );
end entity;

architecture STRUCTURE of J16S_16BX is

signal VCC : std_logic;
begin

VCC <= '1';

   IO <= (IO_P, IO_O, IO_N, IO_M, IO_L,IO_K,IO_J,IO_I,IO_H,
   		 IO_G,IO_F,IO_E,IO_D,IO_C,IO_B,IO_A)
   		 when (VCC ='1') else (Others =>'Z');

   		 
  IO_A <= IO(0);
  IO_B <= IO(1);
  IO_C <= IO(2);
  IO_D <= IO(3);
  IO_E <= IO(4);
  IO_F <= IO(5);
  IO_G <= IO(6);
  IO_H <= IO(7);
  IO_I <= IO(8);
  IO_J <= IO(9);
  IO_K <= IO(10);
  IO_L <= IO(11);
  IO_M <= IO(12);
  IO_N <= IO(13);
  IO_O <= IO(14);
  IO_P <= IO(15);
  

end architecture;
