-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J32B_16B2X
-- Description: 	1 x 32-bit IO bus to 2 x 16-Bit IO bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J32B_16B2X is
  port (
    IO : inout std_logic_vector(31 downto 0);
    IOA, IOB : inout std_logic_vector(15 downto 0)
    );
end entity;

architecture STRUCTURE of J32B_16B2X is

signal VCC : std_logic;

begin

  VCC <= '1';
  
  IOA(15 downto 0) <= IO(15 downto 0) when (VCC='1') else (Others =>'Z');
  IO(15 downto 0) <= IOA(15 downto 0);
  
  IOB(15 downto 0) <= IO(31 downto 16) when (VCC='1') else (Others =>'Z');
  IO(31 downto 16) <= IOB(15 downto 0);
  
end architecture;
