-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J3S_3B
-- Description: 	3 Single pin inputs to single 3-Bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J3S_3B is
  port (
    I0, I1, I2 : in std_logic;
    O : out std_logic_vector(2 downto 0)
    );
end entity;

architecture STRUCTURE of J3S_3B is
begin

  O(0) <= I0;
  O(1) <= I1;
  O(2) <= I2;

end architecture;
