-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J4B2_8B
-- Description: 	2 x 4-Bit input bus to 1 x 8-bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J4B2_8B is
  port (
    IA, IB : in std_logic_vector(3 downto 0);
    O : out std_logic_vector(7 downto 0)
    );
end entity;

architecture STRUCTURE of J4B2_8B is
begin

  O(0) <= IA(0);
  O(1) <= IA(1);
  O(2) <= IA(2);
  O(3) <= IA(3);
  O(4) <= IB(0);
  O(5) <= IB(1);
  O(6) <= IB(2);
  O(7) <= IB(3);

end architecture;
