-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J5B_5S
-- Description: 	5-Bit input bus to 5 Single pin outputs
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J5B_5S is
  port (
    I : in std_logic_vector(4 downto 0);
    O0, O1, O2, O3, O4 : out std_logic
    );
end entity;

architecture STRUCTURE of J5B_5S is
begin

  O0 <= I(0);
  O1 <= I(1);
  O2 <= I(2);
  O3 <= I(3);
  O4 <= I(4);

end architecture;
