-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J8B4_32B
-- Description: 	4 x 8-Bit input bus to 1 x 32-bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J8B4_32B is
  port (
    IA, IB, IC, ID : in std_logic_vector(7 downto 0);
    O : out std_logic_vector(31 downto 0)
    );
end entity;

architecture STRUCTURE of J8B4_32B is
begin

  O(7 downto 0) <= IA(7 downto 0);
  O(15 downto 8) <= IB(7 downto 0);
  O(23 downto 16) <= IC(7 downto 0);
  O(31 downto 24) <= ID(7 downto 0);
  
end architecture;
