-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J8B_4B2X
-- Description: 	1 x 8-bit IO bus to 2 x 4-Bit IO bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J8B_4B2X is
  port (
    IO : inout std_logic_vector(7 downto 0);
    IOA, IOB : inout std_logic_vector(3 downto 0)
    );
end entity;

architecture STRUCTURE of J8B_4B2X is

signal vcc : std_logic;

begin

vcc <= '1';

  IOA(0) <= IO(0) when (VCC='1') else 'Z';
  IOA(1) <= IO(1) when (VCC='1') else 'Z';
  IOA(2) <= IO(2) when (VCC='1') else 'Z';
  IOA(3) <= IO(3) when (VCC='1') else 'Z';
  
  IO(0) <= IOA(0);
  IO(1) <= IOA(1);
  IO(2) <= IOA(2);
  IO(3) <= IOA(3);
  
  IOB(0) <= IO(4) when (VCC='1') else 'Z';
  IOB(1) <= IO(5) when (VCC='1') else 'Z';
  IOB(2) <= IO(6) when (VCC='1') else 'Z';
  IOB(3) <= IO(7) when (VCC='1') else 'Z';
  
  IO(4) <= IOB(0);
  IO(5) <= IOB(1);
  IO(6) <= IOB(2);
  IO(7) <= IOB(3);
  
  
end architecture;
