------------------------------------------------------------
-- VHDL Sheet1
-- 2012 5 24 13 21 21
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL Sheet1
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity Sheet1 Is
  port
  (
    CLK_BRD     : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=CLK_BRD
    LED_B       : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);        -- ObjectKind=Port|PrimaryId=LED_B[7..0]
    LED_G       : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);        -- ObjectKind=Port|PrimaryId=LED_G[7..0]
    LED_R       : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);        -- ObjectKind=Port|PrimaryId=LED_R[7..0]
    SRAM0_A     : Out   STD_LOGIC_VECTOR(17 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=SRAM0_A[17..0]
    SRAM0_D     : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=SRAM0_D[15..0]
    SRAM0_E     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM0_E
    SRAM0_LB    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM0_LB
    SRAM0_OE    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM0_OE
    SRAM0_UB    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM0_UB
    SRAM0_W     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM0_W
    SRAM1_A     : Out   STD_LOGIC_VECTOR(17 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=SRAM1_A[17..0]
    SRAM1_D     : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=SRAM1_D[15..0]
    SRAM1_E     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM1_E
    SRAM1_LB    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM1_LB
    SRAM1_OE    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM1_OE
    SRAM1_UB    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM1_UB
    SRAM1_W     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM1_W
    TEST_BUTTON : In    STD_LOGIC                            -- ObjectKind=Port|PrimaryId=TEST_BUTTON
  );
  attribute MacroCell : boolean;

End Sheet1;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of Sheet1 is
   Component INV                                             -- ObjectKind=Part|PrimaryId=U1|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U1-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U1-O
      );
   End Component;

   Component Open_bus_TP3_ASP                                -- ObjectKind=Sheet Symbol|PrimaryId=U_Open_bus_TP3
      port
      (
        CLK_I         : in    STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-CLK_I
        GPIO_PAI      : in    STD_LOGIC_VECTOR(7 downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-GPIO_PAI[7..0]
        GPIO_PAO      : out   STD_LOGIC_VECTOR(7 downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-GPIO_PAO[7..0]
        RST_I         : in    STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-RST_I
        XRAM_SRAM0_A  : out   STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_A[17..0]
        XRAM_SRAM0_CE : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_CE
        XRAM_SRAM0_D  : inout STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_LB : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_LB
        XRAM_SRAM0_OE : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_OE
        XRAM_SRAM0_UB : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_UB
        XRAM_SRAM0_WE : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_WE
        XRAM_SRAM1_A  : out   STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_A[17..0]
        XRAM_SRAM1_CE : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_CE
        XRAM_SRAM1_D  : inout STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_LB : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_LB
        XRAM_SRAM1_OE : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_OE
        XRAM_SRAM1_UB : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_UB
        XRAM_SRAM1_WE : out   STD_LOGIC                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_WE
      );
   End Component;


    Signal NamedSignal_GND1_BUS                   : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[7..0]
    Signal PinSignal_U_Open_bus_TP3_GPIO_PAO      : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LED_R[7..0]
    Signal PinSignal_U_Open_bus_TP3_XRAM_SRAM0_A  : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=SRAM0_A[17..0]
    Signal PinSignal_U_Open_bus_TP3_XRAM_SRAM0_CE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM0_E
    Signal PinSignal_U_Open_bus_TP3_XRAM_SRAM0_LB : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM0_LB
    Signal PinSignal_U_Open_bus_TP3_XRAM_SRAM0_OE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM0_OE
    Signal PinSignal_U_Open_bus_TP3_XRAM_SRAM0_UB : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM0_UB
    Signal PinSignal_U_Open_bus_TP3_XRAM_SRAM0_WE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM0_W
    Signal PinSignal_U_Open_bus_TP3_XRAM_SRAM1_A  : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=SRAM1_A[17..0]
    Signal PinSignal_U_Open_bus_TP3_XRAM_SRAM1_CE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM1_E
    Signal PinSignal_U_Open_bus_TP3_XRAM_SRAM1_LB : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM1_LB
    Signal PinSignal_U_Open_bus_TP3_XRAM_SRAM1_OE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM1_OE
    Signal PinSignal_U_Open_bus_TP3_XRAM_SRAM1_UB : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM1_UB
    Signal PinSignal_U_Open_bus_TP3_XRAM_SRAM1_WE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM1_W
    Signal PinSignal_U1_O                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1_O

begin
    U_Open_bus_TP3 : Open_bus_TP3_ASP                        -- ObjectKind=Sheet Symbol|PrimaryId=U_Open_bus_TP3
      Port Map
      (
        CLK_I            => CLK_BRD,                         -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-CLK_I
        GPIO_PAI         => PinSignal_U_Open_bus_TP3_GPIO_PAO, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-GPIO_PAI[7..0]
        GPIO_PAO         => PinSignal_U_Open_bus_TP3_GPIO_PAO, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-GPIO_PAO[7..0]
        RST_I            => PinSignal_U1_O,                  -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-RST_I
        XRAM_SRAM0_A     => PinSignal_U_Open_bus_TP3_XRAM_SRAM0_A, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_A[17..0]
        XRAM_SRAM0_CE    => PinSignal_U_Open_bus_TP3_XRAM_SRAM0_CE, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_CE
        XRAM_SRAM0_D(15) => SRAM0_D(15),                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(14) => SRAM0_D(14),                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(13) => SRAM0_D(13),                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(12) => SRAM0_D(12),                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(11) => SRAM0_D(11),                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(10) => SRAM0_D(10),                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(9)  => SRAM0_D(9),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(8)  => SRAM0_D(8),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(7)  => SRAM0_D(7),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(6)  => SRAM0_D(6),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(5)  => SRAM0_D(5),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(4)  => SRAM0_D(4),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(3)  => SRAM0_D(3),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(2)  => SRAM0_D(2),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(1)  => SRAM0_D(1),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_D(0)  => SRAM0_D(0),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_D[15..0]
        XRAM_SRAM0_LB    => PinSignal_U_Open_bus_TP3_XRAM_SRAM0_LB, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_LB
        XRAM_SRAM0_OE    => PinSignal_U_Open_bus_TP3_XRAM_SRAM0_OE, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_OE
        XRAM_SRAM0_UB    => PinSignal_U_Open_bus_TP3_XRAM_SRAM0_UB, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_UB
        XRAM_SRAM0_WE    => PinSignal_U_Open_bus_TP3_XRAM_SRAM0_WE, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM0_WE
        XRAM_SRAM1_A     => PinSignal_U_Open_bus_TP3_XRAM_SRAM1_A, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_A[17..0]
        XRAM_SRAM1_CE    => PinSignal_U_Open_bus_TP3_XRAM_SRAM1_CE, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_CE
        XRAM_SRAM1_D(15) => SRAM1_D(15),                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(14) => SRAM1_D(14),                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(13) => SRAM1_D(13),                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(12) => SRAM1_D(12),                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(11) => SRAM1_D(11),                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(10) => SRAM1_D(10),                     -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(9)  => SRAM1_D(9),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(8)  => SRAM1_D(8),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(7)  => SRAM1_D(7),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(6)  => SRAM1_D(6),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(5)  => SRAM1_D(5),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(4)  => SRAM1_D(4),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(3)  => SRAM1_D(3),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(2)  => SRAM1_D(2),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(1)  => SRAM1_D(1),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_D(0)  => SRAM1_D(0),                      -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_D[15..0]
        XRAM_SRAM1_LB    => PinSignal_U_Open_bus_TP3_XRAM_SRAM1_LB, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_LB
        XRAM_SRAM1_OE    => PinSignal_U_Open_bus_TP3_XRAM_SRAM1_OE, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_OE
        XRAM_SRAM1_UB    => PinSignal_U_Open_bus_TP3_XRAM_SRAM1_UB, -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_UB
        XRAM_SRAM1_WE    => PinSignal_U_Open_bus_TP3_XRAM_SRAM1_WE -- ObjectKind=Sheet Entry|PrimaryId=Open_bus_TP3_ASP.OpenBus-XRAM_SRAM1_WE
      );

    U1 : INV                                                 -- ObjectKind=Part|PrimaryId=U1|SecondaryId=1
      Port Map
      (
        I => TEST_BUTTON,                                    -- ObjectKind=Pin|PrimaryId=U1-I
        O => PinSignal_U1_O                                  -- ObjectKind=Pin|PrimaryId=U1-O
      );

    -- Signal Assignments
    ---------------------
    LED_B                <= NamedSignal_GND1_BUS; -- ObjectKind=Net|PrimaryId=GND1_BUS[7..0]
    LED_G                <= NamedSignal_GND1_BUS; -- ObjectKind=Net|PrimaryId=GND1_BUS[7..0]
    LED_R                <= PinSignal_U_Open_bus_TP3_GPIO_PAO; -- ObjectKind=Net|PrimaryId=LED_R[7..0]
    NamedSignal_GND1_BUS <= "00000000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[7..0]
    SRAM0_A              <= PinSignal_U_Open_bus_TP3_XRAM_SRAM0_A; -- ObjectKind=Net|PrimaryId=SRAM0_A[17..0]
    SRAM0_E              <= PinSignal_U_Open_bus_TP3_XRAM_SRAM0_CE; -- ObjectKind=Net|PrimaryId=SRAM0_E
    SRAM0_LB             <= PinSignal_U_Open_bus_TP3_XRAM_SRAM0_LB; -- ObjectKind=Net|PrimaryId=SRAM0_LB
    SRAM0_OE             <= PinSignal_U_Open_bus_TP3_XRAM_SRAM0_OE; -- ObjectKind=Net|PrimaryId=SRAM0_OE
    SRAM0_UB             <= PinSignal_U_Open_bus_TP3_XRAM_SRAM0_UB; -- ObjectKind=Net|PrimaryId=SRAM0_UB
    SRAM0_W              <= PinSignal_U_Open_bus_TP3_XRAM_SRAM0_WE; -- ObjectKind=Net|PrimaryId=SRAM0_W
    SRAM1_A              <= PinSignal_U_Open_bus_TP3_XRAM_SRAM1_A; -- ObjectKind=Net|PrimaryId=SRAM1_A[17..0]
    SRAM1_E              <= PinSignal_U_Open_bus_TP3_XRAM_SRAM1_CE; -- ObjectKind=Net|PrimaryId=SRAM1_E
    SRAM1_LB             <= PinSignal_U_Open_bus_TP3_XRAM_SRAM1_LB; -- ObjectKind=Net|PrimaryId=SRAM1_LB
    SRAM1_OE             <= PinSignal_U_Open_bus_TP3_XRAM_SRAM1_OE; -- ObjectKind=Net|PrimaryId=SRAM1_OE
    SRAM1_UB             <= PinSignal_U_Open_bus_TP3_XRAM_SRAM1_UB; -- ObjectKind=Net|PrimaryId=SRAM1_UB
    SRAM1_W              <= PinSignal_U_Open_bus_TP3_XRAM_SRAM1_WE; -- ObjectKind=Net|PrimaryId=SRAM1_W

end structure;
------------------------------------------------------------

