-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J2B2_4B
-- Description: 	2 x 2-Bit input bus to 1 x 4-bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J2B2_4B is
  port (
    IA, IB : in std_logic_vector(1 downto 0);
    O : out std_logic_vector(3 downto 0)
    );
end entity;

architecture STRUCTURE of J2B2_4B is
begin

  O(0) <= IA(0);
  O(1) <= IA(1);
  O(2) <= IB(0);
  O(3) <= IB(1);

end architecture;
