-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J32B_8B4
-- Description: 	1 x 32-Bit input bus to 4 x 8-Bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J32B_8B4 is
  port (
    I : in std_logic_vector(31 downto 0);
    OA, OB, OC, OD : out std_logic_vector(7 downto 0)
    );
end entity;

architecture STRUCTURE of J32B_8B4 is
begin
  
  OA(7 downto 0) <= I(7 downto 0);
  OB(7 downto 0) <= I(15 downto 8);
  OC(7 downto 0) <= I(23 downto 16);
  OD(7 downto 0) <= I(31 downto 24);

end architecture;
