-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J4B_2B2
-- Description: 	1 x 4-bit input bus to 2 x 2-Bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J4B_2B2 is
  port (
    I : in std_logic_vector(3 downto 0);
    OA, OB : out std_logic_vector(1 downto 0)
    );
end entity;

architecture STRUCTURE of J4B_2B2 is
begin

  OA(0) <= I(0);
  OA(1) <= I(1);
 
  OB(0) <= I(2);
  OB(1) <= I(3);
 
end architecture;
