-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J4B_2B2X
-- Description: 	1 x 4-bit IO bus to 2 x 2-Bit IO bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J4B_2B2X is
  port (
    IO : inout std_logic_vector(3 downto 0);
    IOA, IOB : inout std_logic_vector(1 downto 0)
    );
end entity;

architecture STRUCTURE of J4B_2B2X is

signal vcc : std_logic;

begin

vcc <= '1';

  IOA(0) <= IO(0) when (VCC='1') else 'Z';
  IOA(1) <= IO(1) when (VCC='1') else 'Z';
  
  IO(0) <= IOA(0);
  IO(1) <= IOA(1);
  
  IOB(0) <= IO(2) when (VCC='1') else 'Z';
  IOB(1) <= IO(3) when (VCC='1') else 'Z';
  
  IO(2) <= IOB(0);
  IO(3) <= IOB(1);
  
  
end architecture;
