-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J4S_4B
-- Description: 	4 Single pin inputs to single 4-Bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J4S_4B is
  port (
    I0, I1, I2, I3 : in std_logic;
    O : out std_logic_vector(3 downto 0)
    );
end entity;

architecture STRUCTURE of J4S_4B is
begin

  O(0) <= I0;
  O(1) <= I1;
  O(2) <= I2;
  O(3) <= I3;

end architecture;
