-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J5S_5BX
-- Description: 	5 Single pin IO to single 5-Bit IO bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J5S_5BX is
  port (
    IO_A, IO_B, IO_C, IO_D, IO_E : inout std_logic;
    IO : inout std_logic_vector(4 downto 0)
    );
end entity;

architecture STRUCTURE of J5S_5BX is

signal vcc : std_logic;

begin
vcc <= '1';

  IO(0) <= IO_A when (VCC='1') else 'Z';
  IO(1) <= IO_B when (VCC='1') else 'Z';
  IO(2) <= IO_C when (VCC='1') else 'Z';
  IO(3) <= IO_D when (VCC='1') else 'Z';
  IO(4) <= IO_E when (VCC='1') else 'Z';
  
  IO_A <= IO(0);
  IO_B <= IO(1);
  IO_C <= IO(2);
  IO_D <= IO(3);
  IO_E <= IO(4);
  

end architecture;
