-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFE
-- Description: 	1-bit 3-state Buffer with Active High Enable
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFE
-- -----------------------------------------------------------------
ENTITY BUFE IS
    PorT(I, E: IN std_logic:='U';
         O: OUT std_logic);
end BUFE;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFE
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFE IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------

   O <= I when E='1' else 'Z';
-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
