-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	IOBUF2S
-- Description: 	2-Bit Input/Output Buffer, Single Pin Version, Single Pin Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity IOBUF2S is
  port (
    T   : in    std_logic;
    I0  : in    std_logic;
    I1	: in 	std_logic;
    IO0 : inout std_logic;
    IO1 : inout std_logic;
    O0   : out  std_logic;
    O1	 : out  std_logic
    );
end IOBUF2S;

architecture STRUCTURE of IOBUF2S is

begin

  O0 <= IO0;
  O1 <= IO1;
  
  IO0 <= I0 when T = '0' else 'Z';
  IO1 <= I1 when T = '0' else 'Z';


end STRUCTURE;
