-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	IOBUFC16B
-- Description: 	16-Bit Input/Output Buffer With Separated Control, Bus Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity IOBUFC16B is
  port (
    T  : in    std_logic_vector(15 downto 0);
    I  : in    std_logic_vector(15 downto 0);
    IO : inout std_logic_vector(15 downto 0);
    O  : out   std_logic_vector(15 downto 0)
    );
end IOBUFC16B;

architecture STRUCTURE of IOBUFC16B is

begin

  O <= IO;
  
  IO(0) <= I(0) when T(0) = '0' else 'Z';
  IO(1) <= I(1) when T(1) = '0' else 'Z';
  IO(2) <= I(2) when T(2) = '0' else 'Z';
  IO(3) <= I(3) when T(3) = '0' else 'Z';
  IO(4) <= I(4) when T(4) = '0' else 'Z';
  IO(5) <= I(5) when T(5) = '0' else 'Z';
  IO(6) <= I(6) when T(6) = '0' else 'Z';
  IO(7) <= I(7) when T(7) = '0' else 'Z';
  IO(8) <= I(8) when T(8) = '0' else 'Z';
  IO(9) <= I(9) when T(9) = '0' else 'Z';
  IO(10) <= I(10) when T(10) = '0' else 'Z';
  IO(11) <= I(11) when T(11) = '0' else 'Z';
  IO(12) <= I(12) when T(12) = '0' else 'Z';
  IO(13) <= I(13) when T(13) = '0' else 'Z';
  IO(14) <= I(14) when T(14) = '0' else 'Z';
  IO(15) <= I(15) when T(15) = '0' else 'Z';


end STRUCTURE;
