-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	IOBUFC7B
-- Description: 	7-Bit Input/Output Buffer With Separated Control, Bus Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity IOBUFC7B is
  port (
    T  : in    std_logic_vector(6 downto 0);
    I  : in    std_logic_vector(6 downto 0);
    IO : inout std_logic_vector(6 downto 0);
    O  : out   std_logic_vector(6 downto 0)
    );
end IOBUFC7B;

architecture STRUCTURE of IOBUFC7B is

begin
	
  O <= IO;

  IO(0) <= I(0) when T(0) = '0' else 'Z';
  IO(1) <= I(1) when T(1) = '0' else 'Z';
  IO(2) <= I(2) when T(2) = '0' else 'Z';
  IO(3) <= I(3) when T(3) = '0' else 'Z';
  IO(4) <= I(4) when T(4) = '0' else 'Z';
  IO(5) <= I(5) when T(5) = '0' else 'Z';
  IO(6) <= I(6) when T(6) = '0' else 'Z';



end STRUCTURE;
