-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J32B_16B2
-- Description: 	1 x 32-bit input bus to 2 x 16-Bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J32B_16B2 is
  port (
    I : in std_logic_vector(31 downto 0);
    OA, OB : out std_logic_vector(15 downto 0)
    );
end entity;

architecture STRUCTURE of J32B_16B2 is
begin
  
  OA(15 downto 0) <= I(15 downto 0);
  OB(15 downto 0) <= I(31 downto 16);

end architecture;
