-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J3S_3BX
-- Description: 	3 Single pin IO to single 3-Bit IO bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J3S_3BX is
  port (
    IO_A, IO_B, IO_C : inout std_logic;
    IO : inout std_logic_vector(2 downto 0)
    );
end entity;

architecture STRUCTURE of J3S_3BX is

signal vcc : std_logic;

begin
vcc <= '1';

  IO(0) <= IO_A when (VCC='1') else 'Z';
  IO(1) <= IO_B when (VCC='1') else 'Z';
  IO(2) <= IO_C when (VCC='1') else 'Z';
  
  IO_A <= IO(0);
  IO_B <= IO(1);
  IO_C <= IO(2);
  

end architecture;
