-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J6S_6B
-- Description: 	6 Single pin inputs to single 6-Bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J6S_6B is
  port (
    I0, I1, I2, I3, I4, I5 : in std_logic;
    O : out std_logic_vector(5 downto 0)
    );
end entity;

architecture STRUCTURE of J6S_6B is
begin

  O(0) <= I0;
  O(1) <= I1;
  O(2) <= I2;
  O(3) <= I3;
  O(4) <= I4;
  O(5) <= I5;

end architecture;
