-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J8B_4B2
-- Description: 	1 x 8-bit input bus to 2 x 4-Bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J8B_4B2 is
  port (
    I : in std_logic_vector(7 downto 0);
    OA, OB : out std_logic_vector(3 downto 0)
    );
end entity;

architecture STRUCTURE of J8B_4B2 is
begin

  OA(0) <= I(0);
  OA(1) <= I(1);
  OA(2) <= I(2);
  OA(3) <= I(3);
  OB(0) <= I(4);
  OB(1) <= I(5);
  OB(2) <= I(6);
  OB(3) <= I(7);

end architecture;
