-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J9B_9S
-- Description: 	9-Bit input bus to 9 Single pin outputs
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J9B_9S is
  port (
    I : in std_logic_vector(8 downto 0);
    O0, O1, O2, O3, O4, O5, O6, O7, O8 : out std_logic
    );
end entity;

architecture STRUCTURE of J9B_9S is
begin

  O0 <= I(0);
  O1 <= I(1);
  O2 <= I(2);
  O3 <= I(3);
  O4 <= I(4);
  O5 <= I(5);
  O6 <= I(6);
  O7 <= I(7);
  O8 <= I(8);

end architecture;
