-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J9S_9BX
-- Description: 	9 Single pin IO to single 9-Bit IO bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J9S_9BX is
  port (
    IO_A, IO_B, IO_C, IO_D, IO_E, IO_F, IO_G, IO_H, IO_I  : inout std_logic;
    IO : inout std_logic_vector(8 downto 0)
    );
end entity;

architecture STRUCTURE of J9S_9BX is

signal vcc : std_logic;

begin
vcc <= '1';

  IO(0) <= IO_A when (VCC='1') else 'Z';
  IO(1) <= IO_B when (VCC='1') else 'Z';
  IO(2) <= IO_C when (VCC='1') else 'Z';
  IO(3) <= IO_D when (VCC='1') else 'Z';
  IO(4) <= IO_E when (VCC='1') else 'Z';
  IO(5) <= IO_F when (VCC='1') else 'Z';
  IO(6) <= IO_G when (VCC='1') else 'Z';
  IO(7) <= IO_H when (VCC='1') else 'Z';
  IO(8) <= IO_I when (VCC='1') else 'Z';
  
  
  IO_A <= IO(0);
  IO_B <= IO(1);
  IO_C <= IO(2);
  IO_D <= IO(3);
  IO_E <= IO(4);
  IO_F <= IO(5);
  IO_G <= IO(6);
  IO_H <= IO(7);
  IO_I <= IO(8);
  

end architecture;
