------------------------------------------------------------
-- VHDL Open_bus_TP3
-- 2012 5 23 12 25 10
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL Open_bus_TP3
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity Open_bus_TP3 Is
  port
  (
    CLK_I           : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CLK_I
    GPIO_PAI        : In    STD_LOGIC_VECTOR(7 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=GPIO_PAI[7..0]
    GPIO_PAO        : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=GPIO_PAO[7..0]
    JTAG_NEXUS_TCK  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TCK
    JTAG_NEXUS_TDI  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDI
    JTAG_NEXUS_TDO  : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDO
    JTAG_NEXUS_TMS  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TMS
    JTAG_NEXUS_TRST : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TRST
    RST_I           : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=RST_I
    xram_SRAM0_A    : Out   STD_LOGIC_VECTOR(17 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=xram_SRAM0_A[17..0]
    xram_SRAM0_CE   : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=xram_SRAM0_CE
    xram_SRAM0_D    : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=xram_SRAM0_D[15..0]
    xram_SRAM0_LB   : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=xram_SRAM0_LB
    xram_SRAM0_OE   : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=xram_SRAM0_OE
    xram_SRAM0_UB   : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=xram_SRAM0_UB
    xram_SRAM0_WE   : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=xram_SRAM0_WE
    xram_SRAM1_A    : Out   STD_LOGIC_VECTOR(17 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=xram_SRAM1_A[17..0]
    xram_SRAM1_CE   : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=xram_SRAM1_CE
    xram_SRAM1_D    : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=xram_SRAM1_D[15..0]
    xram_SRAM1_LB   : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=xram_SRAM1_LB
    xram_SRAM1_OE   : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=xram_SRAM1_OE
    xram_SRAM1_UB   : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=xram_SRAM1_UB
    xram_SRAM1_WE   : Out   STD_LOGIC                        -- ObjectKind=Port|PrimaryId=xram_SRAM1_WE
  );
  attribute MacroCell : boolean;

End Open_bus_TP3;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of Open_bus_TP3 is
   Component Configurable_GPIO                               -- ObjectKind=Part|PrimaryId=GPIO|SecondaryId=1
      port
      (
        ACK_O : out STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=GPIO-ACK_O
        CLK_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=GPIO-CLK_I
        CYC_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=GPIO-CYC_I
        DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=GPIO-DAT_I[7..0]
        DAT_O : out STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=GPIO-DAT_O[7..0]
        PAI   : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=GPIO-PAI[7..0]
        PAO   : out STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=GPIO-PAO[7..0]
        RST_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=GPIO-RST_I
        STB_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=GPIO-STB_I
        WE_I  : in  STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=GPIO-WE_I
      );
   End Component;

   Component Configurable_TSK3000A_1                         -- ObjectKind=Part|PrimaryId=TSK3000A_1|SecondaryId=1
      port
      (
        CLK_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-CLK_I
        INT_I    : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=TSK3000A_1-INT_I[31..0]
        IO_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_ACK_I
        IO_ADR_O : out STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_ADR_O[23..0]
        IO_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_CYC_O
        IO_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_DAT_I[31..0]
        IO_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_DAT_O[31..0]
        IO_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_SEL_O[3..0]
        IO_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_STB_O
        IO_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_WE_O
        ME_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_ACK_I
        ME_ADR_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_ADR_O[31..0]
        ME_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_CYC_O
        ME_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_DAT_I[31..0]
        ME_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_DAT_O[31..0]
        ME_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_SEL_O[3..0]
        ME_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_STB_O
        ME_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_WE_O
        RST_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-RST_I
        TCK      : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-TCK
        TDI      : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-TDI
        TDO      : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-TDO
        TMS      : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-TMS
        TRST     : in  STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=TSK3000A_1-TRST
      );
   End Component;

   Component Configurable_WB_INTERCON_1                      -- ObjectKind=Part|PrimaryId=WB_INTERCON_1|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_ADR_I[23..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_DAT_O[31..0]
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_ACK_I
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_DAT_I[7..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_DAT_O[7..0]
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_STB_O
        s0_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_WE_O
        s1_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_ACK_I
        s1_ADR_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_ADR_O[3..0]
        s1_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_CYC_O
        s1_DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_DAT_I[7..0]
        s1_DAT_O : out STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_DAT_O[7..0]
        s1_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_SEL_O[3..0]
        s1_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_STB_O
        s1_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_WE_O
      );
   End Component;

   Component Configurable_WB_INTERCON_2                      -- ObjectKind=Part|PrimaryId=WB_INTERCON_2|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_ADR_I[31..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_DAT_O[31..0]
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(19 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_ADR_O[19..0]
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_DAT_I[31..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_DAT_O[31..0]
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_STB_O
        s0_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_WE_O
      );
   End Component;

   Component Configurable_xram                               -- ObjectKind=Part|PrimaryId=xram|SecondaryId=1
      port
      (
        ACK_O    : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-ACK_O
        ADR_I    : in    STD_LOGIC_VECTOR(19 downto 0);      -- ObjectKind=Pin|PrimaryId=xram-ADR_I[19..0]
        CLK_I    : in    STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-CLK_I
        CYC_I    : in    STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-CYC_I
        DAT_I    : in    STD_LOGIC_VECTOR(31 downto 0);      -- ObjectKind=Pin|PrimaryId=xram-DAT_I[31..0]
        DAT_O    : out   STD_LOGIC_VECTOR(31 downto 0);      -- ObjectKind=Pin|PrimaryId=xram-DAT_O[31..0]
        RST_I    : in    STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-RST_I
        SEL_I    : in    STD_LOGIC_VECTOR(3 downto 0);       -- ObjectKind=Pin|PrimaryId=xram-SEL_I[3..0]
        SRAM0_A  : out   STD_LOGIC_VECTOR(17 downto 0);      -- ObjectKind=Pin|PrimaryId=xram-SRAM0_A[17..0]
        SRAM0_CE : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-SRAM0_CE
        SRAM0_D  : inout STD_LOGIC_VECTOR(15 downto 0);      -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_LB : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-SRAM0_LB
        SRAM0_OE : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-SRAM0_OE
        SRAM0_UB : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-SRAM0_UB
        SRAM0_WE : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-SRAM0_WE
        SRAM1_A  : out   STD_LOGIC_VECTOR(17 downto 0);      -- ObjectKind=Pin|PrimaryId=xram-SRAM1_A[17..0]
        SRAM1_CE : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-SRAM1_CE
        SRAM1_D  : inout STD_LOGIC_VECTOR(15 downto 0);      -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_LB : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-SRAM1_LB
        SRAM1_OE : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-SRAM1_OE
        SRAM1_UB : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-SRAM1_UB
        SRAM1_WE : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-SRAM1_WE
        STB_I    : in    STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=xram-STB_I
        WE_I     : in    STD_LOGIC                           -- ObjectKind=Pin|PrimaryId=xram-WE_I
      );
   End Component;

   Component J16S_16B                                        -- ObjectKind=Part|PrimaryId=TSK3000A_1_HI|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I10
        I11 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I11
        I12 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I12
        I13 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I13
        I14 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I14
        I15 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I15
        O   : out STD_LOGIC_VECTOR(15 downto 0)              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-O[15..0]
      );
   End Component;

   Component TERMINAL                                        -- ObjectKind=Part|PrimaryId=TERM|SecondaryId=1
      port
      (
        ACK_O : out STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-ACK_O
        ADR_I : in  STD_LOGIC_VECTOR(3 downto 0);            -- ObjectKind=Pin|PrimaryId=TERM-ADR_I[3..0]
        CLK_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-CLK_I
        CYC_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-CYC_I
        DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=TERM-DAT_I[7..0]
        DAT_O : out STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=TERM-DAT_O[7..0]
        INT_O : out STD_LOGIC_VECTOR(1 downto 0);            -- ObjectKind=Pin|PrimaryId=TERM-INT_O[1..0]
        RST_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-RST_I
        STB_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-STB_I
        TCK   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-TCK
        TDI   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-TDI
        TDO   : out STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-TDO
        TMS   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-TMS
        TRST  : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-TRST
        WE_I  : in  STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=TERM-WE_I
      );
   End Component;


    Signal NamedSignal_CLK_I                                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK_I
    Signal NamedSignal_GND1_BUS                             : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    Signal NamedSignal_GND2_BUS                             : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[3..0]
    Signal NamedSignal_INTERRUPT_TSK3000A_1_INT_I           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_TSK3000A_1_INT_I[31..0]
    Signal NamedSignal_RST_I                                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST_I
    Signal NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_ACK   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_ACK
    Signal NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_ADR   : STD_LOGIC_VECTOR(23 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_ADR[23..0]
    Signal NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_CYC   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_CYC
    Signal NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_DATIO : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_DATIO[31..0]
    Signal NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_DATOI : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_DATOI[31..0]
    Signal NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_SEL   : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_SEL[3..0]
    Signal NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_STB   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_STB
    Signal NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_WE    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_WE
    Signal NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_ACK   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_ACK
    Signal NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_ADR   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_ADR[31..0]
    Signal NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_CYC   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_CYC
    Signal NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_DATIO : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_DATIO[31..0]
    Signal NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_DATOI : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_DATOI[31..0]
    Signal NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_SEL   : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_SEL[3..0]
    Signal NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_STB   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_STB
    Signal NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_WE    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_WE
    Signal NamedSignal_WB_INTERCON_1_M0_S0_GPIO_ACK         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_ACK
    Signal NamedSignal_WB_INTERCON_1_M0_S0_GPIO_CYC         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_CYC
    Signal NamedSignal_WB_INTERCON_1_M0_S0_GPIO_DATIO       : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_DATIO[7..0]
    Signal NamedSignal_WB_INTERCON_1_M0_S0_GPIO_DATOI       : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_DATOI[7..0]
    Signal NamedSignal_WB_INTERCON_1_M0_S0_GPIO_STB         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_STB
    Signal NamedSignal_WB_INTERCON_1_M0_S0_GPIO_WE          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_WE
    Signal NamedSignal_WB_INTERCON_1_M1_S0_TERM_ACK         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_ACK
    Signal NamedSignal_WB_INTERCON_1_M1_S0_TERM_ADR         : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_ADR[3..0]
    Signal NamedSignal_WB_INTERCON_1_M1_S0_TERM_CYC         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_CYC
    Signal NamedSignal_WB_INTERCON_1_M1_S0_TERM_DATIO       : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_DATIO[7..0]
    Signal NamedSignal_WB_INTERCON_1_M1_S0_TERM_DATOI       : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_DATOI[7..0]
    Signal NamedSignal_WB_INTERCON_1_M1_S0_TERM_STB         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_STB
    Signal NamedSignal_WB_INTERCON_1_M1_S0_TERM_WE          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_WE
    Signal NamedSignal_WB_INTERCON_2_M0_S0_XRAM_ACK         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_ACK
    Signal NamedSignal_WB_INTERCON_2_M0_S0_XRAM_ADR         : STD_LOGIC_VECTOR(19 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_ADR[19..0]
    Signal NamedSignal_WB_INTERCON_2_M0_S0_XRAM_CYC         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_CYC
    Signal NamedSignal_WB_INTERCON_2_M0_S0_XRAM_DATIO       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_DATIO[31..0]
    Signal NamedSignal_WB_INTERCON_2_M0_S0_XRAM_DATOI       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_DATOI[31..0]
    Signal NamedSignal_WB_INTERCON_2_M0_S0_XRAM_SEL         : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_SEL[3..0]
    Signal NamedSignal_WB_INTERCON_2_M0_S0_XRAM_STB         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_STB
    Signal NamedSignal_WB_INTERCON_2_M0_S0_XRAM_WE          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_WE
    Signal PinSignal_GPIO_ACK_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_ACK
    Signal PinSignal_GPIO_DAT_O                             : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_DATOI[7..0]
    Signal PinSignal_GPIO_PAO                               : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=GPIO_PAO[7..0]
    Signal PinSignal_TERM_ACK_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_ACK
    Signal PinSignal_TERM_DAT_O                             : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_DATOI[7..0]
    Signal PinSignal_TERM_INT_O                             : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=TERM_INT_O[1..0]
    Signal PinSignal_TERM_TDO                               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_LINK0
    Signal PinSignal_TSK3000A_1_HI_O                        : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_TSK3000A_1_INT_I[31..0]
    Signal PinSignal_TSK3000A_1_IO_ADR_O                    : STD_LOGIC_VECTOR(23 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_ADR[23..0]
    Signal PinSignal_TSK3000A_1_IO_CYC_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_CYC
    Signal PinSignal_TSK3000A_1_IO_DAT_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_DATIO[31..0]
    Signal PinSignal_TSK3000A_1_IO_SEL_O                    : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_SEL[3..0]
    Signal PinSignal_TSK3000A_1_IO_STB_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_STB
    Signal PinSignal_TSK3000A_1_IO_WE_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_WE
    Signal PinSignal_TSK3000A_1_LO_O                        : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_TSK3000A_1_INT_I[15..0]
    Signal PinSignal_TSK3000A_1_ME_ADR_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_ADR[31..0]
    Signal PinSignal_TSK3000A_1_ME_CYC_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_CYC
    Signal PinSignal_TSK3000A_1_ME_DAT_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_DATIO[31..0]
    Signal PinSignal_TSK3000A_1_ME_SEL_O                    : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_SEL[3..0]
    Signal PinSignal_TSK3000A_1_ME_STB_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_STB
    Signal PinSignal_TSK3000A_1_ME_WE_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_WE
    Signal PinSignal_TSK3000A_1_TDO                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetTSK3000A_1_TDO
    Signal PinSignal_WB_INTERCON_1_m0_ACK_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_ACK
    Signal PinSignal_WB_INTERCON_1_m0_DAT_O                 : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_DATOI[31..0]
    Signal PinSignal_WB_INTERCON_1_s0_CYC_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_CYC
    Signal PinSignal_WB_INTERCON_1_s0_DAT_O                 : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_DATIO[7..0]
    Signal PinSignal_WB_INTERCON_1_s0_SEL_O                 : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    Signal PinSignal_WB_INTERCON_1_s0_STB_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_STB
    Signal PinSignal_WB_INTERCON_1_s0_WE_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_WE
    Signal PinSignal_WB_INTERCON_1_s1_ADR_O                 : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_ADR[3..0]
    Signal PinSignal_WB_INTERCON_1_s1_CYC_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_CYC
    Signal PinSignal_WB_INTERCON_1_s1_DAT_O                 : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_DATIO[7..0]
    Signal PinSignal_WB_INTERCON_1_s1_SEL_O                 : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[3..0]
    Signal PinSignal_WB_INTERCON_1_s1_STB_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_STB
    Signal PinSignal_WB_INTERCON_1_s1_WE_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_WE
    Signal PinSignal_WB_INTERCON_2_m0_ACK_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_ACK
    Signal PinSignal_WB_INTERCON_2_m0_DAT_O                 : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_DATOI[31..0]
    Signal PinSignal_WB_INTERCON_2_s0_ADR_O                 : STD_LOGIC_VECTOR(19 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_ADR[19..0]
    Signal PinSignal_WB_INTERCON_2_s0_CYC_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_CYC
    Signal PinSignal_WB_INTERCON_2_s0_DAT_O                 : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_DATIO[31..0]
    Signal PinSignal_WB_INTERCON_2_s0_SEL_O                 : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_SEL[3..0]
    Signal PinSignal_WB_INTERCON_2_s0_STB_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_STB
    Signal PinSignal_WB_INTERCON_2_s0_WE_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_WE
    Signal PinSignal_xram_ACK_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_ACK
    Signal PinSignal_xram_DAT_O                             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_DATOI[31..0]
    Signal PinSignal_xram_SRAM0_A                           : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=xram_SRAM0_A[17..0]
    Signal PinSignal_xram_SRAM0_CE                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=xram_SRAM0_CE
    Signal PinSignal_xram_SRAM0_LB                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=xram_SRAM0_LB
    Signal PinSignal_xram_SRAM0_OE                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=xram_SRAM0_OE
    Signal PinSignal_xram_SRAM0_UB                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=xram_SRAM0_UB
    Signal PinSignal_xram_SRAM0_WE                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=xram_SRAM0_WE
    Signal PinSignal_xram_SRAM1_A                           : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=xram_SRAM1_A[17..0]
    Signal PinSignal_xram_SRAM1_CE                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=xram_SRAM1_CE
    Signal PinSignal_xram_SRAM1_LB                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=xram_SRAM1_LB
    Signal PinSignal_xram_SRAM1_OE                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=xram_SRAM1_OE
    Signal PinSignal_xram_SRAM1_UB                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=xram_SRAM1_UB
    Signal PinSignal_xram_SRAM1_WE                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=xram_SRAM1_WE
    Signal PowerSignal_GND                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND

begin
    xram : Configurable_xram                                 -- ObjectKind=Part|PrimaryId=xram|SecondaryId=1
      Port Map
      (
        ACK_O       => PinSignal_xram_ACK_O,                 -- ObjectKind=Pin|PrimaryId=xram-ACK_O
        ADR_I       => NamedSignal_WB_INTERCON_2_M0_S0_XRAM_ADR, -- ObjectKind=Pin|PrimaryId=xram-ADR_I[19..0]
        CLK_I       => NamedSignal_CLK_I,                    -- ObjectKind=Pin|PrimaryId=xram-CLK_I
        CYC_I       => NamedSignal_WB_INTERCON_2_M0_S0_XRAM_CYC, -- ObjectKind=Pin|PrimaryId=xram-CYC_I
        DAT_I       => NamedSignal_WB_INTERCON_2_M0_S0_XRAM_DATIO, -- ObjectKind=Pin|PrimaryId=xram-DAT_I[31..0]
        DAT_O       => PinSignal_xram_DAT_O,                 -- ObjectKind=Pin|PrimaryId=xram-DAT_O[31..0]
        RST_I       => NamedSignal_RST_I,                    -- ObjectKind=Pin|PrimaryId=xram-RST_I
        SEL_I       => NamedSignal_WB_INTERCON_2_M0_S0_XRAM_SEL, -- ObjectKind=Pin|PrimaryId=xram-SEL_I[3..0]
        SRAM0_A     => PinSignal_xram_SRAM0_A,               -- ObjectKind=Pin|PrimaryId=xram-SRAM0_A[17..0]
        SRAM0_CE    => PinSignal_xram_SRAM0_CE,              -- ObjectKind=Pin|PrimaryId=xram-SRAM0_CE
        SRAM0_D(15) => XRAM_SRAM0_D(15),                     -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(14) => XRAM_SRAM0_D(14),                     -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(13) => XRAM_SRAM0_D(13),                     -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(12) => XRAM_SRAM0_D(12),                     -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(11) => XRAM_SRAM0_D(11),                     -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(10) => XRAM_SRAM0_D(10),                     -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(9)  => XRAM_SRAM0_D(9),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(8)  => XRAM_SRAM0_D(8),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(7)  => XRAM_SRAM0_D(7),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(6)  => XRAM_SRAM0_D(6),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(5)  => XRAM_SRAM0_D(5),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(4)  => XRAM_SRAM0_D(4),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(3)  => XRAM_SRAM0_D(3),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(2)  => XRAM_SRAM0_D(2),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(1)  => XRAM_SRAM0_D(1),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_D(0)  => XRAM_SRAM0_D(0),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM0_D[15..0]
        SRAM0_LB    => PinSignal_xram_SRAM0_LB,              -- ObjectKind=Pin|PrimaryId=xram-SRAM0_LB
        SRAM0_OE    => PinSignal_xram_SRAM0_OE,              -- ObjectKind=Pin|PrimaryId=xram-SRAM0_OE
        SRAM0_UB    => PinSignal_xram_SRAM0_UB,              -- ObjectKind=Pin|PrimaryId=xram-SRAM0_UB
        SRAM0_WE    => PinSignal_xram_SRAM0_WE,              -- ObjectKind=Pin|PrimaryId=xram-SRAM0_WE
        SRAM1_A     => PinSignal_xram_SRAM1_A,               -- ObjectKind=Pin|PrimaryId=xram-SRAM1_A[17..0]
        SRAM1_CE    => PinSignal_xram_SRAM1_CE,              -- ObjectKind=Pin|PrimaryId=xram-SRAM1_CE
        SRAM1_D(15) => XRAM_SRAM1_D(15),                     -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(14) => XRAM_SRAM1_D(14),                     -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(13) => XRAM_SRAM1_D(13),                     -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(12) => XRAM_SRAM1_D(12),                     -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(11) => XRAM_SRAM1_D(11),                     -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(10) => XRAM_SRAM1_D(10),                     -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(9)  => XRAM_SRAM1_D(9),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(8)  => XRAM_SRAM1_D(8),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(7)  => XRAM_SRAM1_D(7),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(6)  => XRAM_SRAM1_D(6),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(5)  => XRAM_SRAM1_D(5),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(4)  => XRAM_SRAM1_D(4),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(3)  => XRAM_SRAM1_D(3),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(2)  => XRAM_SRAM1_D(2),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(1)  => XRAM_SRAM1_D(1),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_D(0)  => XRAM_SRAM1_D(0),                      -- ObjectKind=Pin|PrimaryId=xram-SRAM1_D[15..0]
        SRAM1_LB    => PinSignal_xram_SRAM1_LB,              -- ObjectKind=Pin|PrimaryId=xram-SRAM1_LB
        SRAM1_OE    => PinSignal_xram_SRAM1_OE,              -- ObjectKind=Pin|PrimaryId=xram-SRAM1_OE
        SRAM1_UB    => PinSignal_xram_SRAM1_UB,              -- ObjectKind=Pin|PrimaryId=xram-SRAM1_UB
        SRAM1_WE    => PinSignal_xram_SRAM1_WE,              -- ObjectKind=Pin|PrimaryId=xram-SRAM1_WE
        STB_I       => NamedSignal_WB_INTERCON_2_M0_S0_XRAM_STB, -- ObjectKind=Pin|PrimaryId=xram-STB_I
        WE_I        => NamedSignal_WB_INTERCON_2_M0_S0_XRAM_WE -- ObjectKind=Pin|PrimaryId=xram-WE_I
      );

    WB_INTERCON_2 : Configurable_WB_INTERCON_2               -- ObjectKind=Part|PrimaryId=WB_INTERCON_2|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_WB_INTERCON_2_m0_ACK_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_ACK_O
        m0_ADR_I => NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_ADR, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_ADR_I[31..0]
        m0_CLK_I => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_CLK_I
        m0_CYC_I => NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_CYC, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_CYC_I
        m0_DAT_I => NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_DATIO, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_WB_INTERCON_2_m0_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_DAT_O[31..0]
        m0_SEL_I => NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_SEL, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_SEL_I[3..0]
        m0_STB_I => NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_STB, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_STB_I
        m0_WE_I  => NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_WE, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_WE_I
        s0_ACK_I => NamedSignal_WB_INTERCON_2_M0_S0_XRAM_ACK, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_ACK_I
        s0_ADR_O => PinSignal_WB_INTERCON_2_s0_ADR_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_ADR_O[19..0]
        s0_CYC_O => PinSignal_WB_INTERCON_2_s0_CYC_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_CYC_O
        s0_DAT_I => NamedSignal_WB_INTERCON_2_M0_S0_XRAM_DATOI, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_DAT_I[31..0]
        s0_DAT_O => PinSignal_WB_INTERCON_2_s0_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_DAT_O[31..0]
        s0_SEL_O => PinSignal_WB_INTERCON_2_s0_SEL_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_SEL_O[3..0]
        s0_STB_O => PinSignal_WB_INTERCON_2_s0_STB_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_STB_O
        s0_WE_O  => PinSignal_WB_INTERCON_2_s0_WE_O          -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_WE_O
      );

    WB_INTERCON_1 : Configurable_WB_INTERCON_1               -- ObjectKind=Part|PrimaryId=WB_INTERCON_1|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_WB_INTERCON_1_m0_ACK_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_ACK_O
        m0_ADR_I => NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_ADR, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_ADR_I[23..0]
        m0_CLK_I => CLK_I,                                   -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_CLK_I
        m0_CYC_I => NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_CYC, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_CYC_I
        m0_DAT_I => NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_DATIO, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_WB_INTERCON_1_m0_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_DAT_O[31..0]
        m0_SEL_I => NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_SEL, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_SEL_I[3..0]
        m0_STB_I => NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_STB, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_STB_I
        m0_WE_I  => NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_WE, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_WE_I
        s0_ACK_I => NamedSignal_WB_INTERCON_1_M0_S0_GPIO_ACK, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_ACK_I
        s0_CYC_O => PinSignal_WB_INTERCON_1_s0_CYC_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_CYC_O
        s0_DAT_I => NamedSignal_WB_INTERCON_1_M0_S0_GPIO_DATOI, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_DAT_I[7..0]
        s0_DAT_O => PinSignal_WB_INTERCON_1_s0_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_DAT_O[7..0]
        s0_SEL_O => PinSignal_WB_INTERCON_1_s0_SEL_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_SEL_O[3..0]
        s0_STB_O => PinSignal_WB_INTERCON_1_s0_STB_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_STB_O
        s0_WE_O  => PinSignal_WB_INTERCON_1_s0_WE_O,         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_WE_O
        s1_ACK_I => NamedSignal_WB_INTERCON_1_M1_S0_TERM_ACK, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_ACK_I
        s1_ADR_O => PinSignal_WB_INTERCON_1_s1_ADR_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_ADR_O[3..0]
        s1_CYC_O => PinSignal_WB_INTERCON_1_s1_CYC_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_CYC_O
        s1_DAT_I => NamedSignal_WB_INTERCON_1_M1_S0_TERM_DATOI, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_DAT_I[7..0]
        s1_DAT_O => PinSignal_WB_INTERCON_1_s1_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_DAT_O[7..0]
        s1_SEL_O => PinSignal_WB_INTERCON_1_s1_SEL_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_SEL_O[3..0]
        s1_STB_O => PinSignal_WB_INTERCON_1_s1_STB_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_STB_O
        s1_WE_O  => PinSignal_WB_INTERCON_1_s1_WE_O          -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s1_WE_O
      );

    TSK3000A_1_LO : J16S_16B                                 -- ObjectKind=Part|PrimaryId=TSK3000A_1_LO|SecondaryId=1
      Port Map
      (
        I0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I0
        I1  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I1
        I2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I2
        I3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I3
        I4  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I4
        I5  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I5
        I6  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I6
        I7  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I7
        I8  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I8
        I9  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I9
        I10 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I10
        I11 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I11
        I12 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I12
        I13 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I13
        I14 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I14
        I15 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-I15
        O   => PinSignal_TSK3000A_1_LO_O                     -- ObjectKind=Pin|PrimaryId=TSK3000A_1_LO-O[15..0]
      );

    TSK3000A_1_HI : J16S_16B                                 -- ObjectKind=Part|PrimaryId=TSK3000A_1_HI|SecondaryId=1
      Port Map
      (
        I0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I0
        I1  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I1
        I2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I2
        I3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I3
        I4  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I4
        I5  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I5
        I6  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I6
        I7  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I7
        I8  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I8
        I9  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I9
        I10 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I10
        I11 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I11
        I12 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I12
        I13 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I13
        I14 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I14
        I15 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-I15
        O   => PinSignal_TSK3000A_1_HI_O                     -- ObjectKind=Pin|PrimaryId=TSK3000A_1_HI-O[15..0]
      );

    TSK3000A_1 : Configurable_TSK3000A_1                     -- ObjectKind=Part|PrimaryId=TSK3000A_1|SecondaryId=1
      Port Map
      (
        CLK_I    => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=TSK3000A_1-CLK_I
        INT_I    => NamedSignal_INTERRUPT_TSK3000A_1_INT_I,  -- ObjectKind=Pin|PrimaryId=TSK3000A_1-INT_I[31..0]
        IO_ACK_I => NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_ACK, -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_ACK_I
        IO_ADR_O => PinSignal_TSK3000A_1_IO_ADR_O,           -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_ADR_O[23..0]
        IO_CYC_O => PinSignal_TSK3000A_1_IO_CYC_O,           -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_CYC_O
        IO_DAT_I => NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_DATOI, -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_DAT_I[31..0]
        IO_DAT_O => PinSignal_TSK3000A_1_IO_DAT_O,           -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_DAT_O[31..0]
        IO_SEL_O => PinSignal_TSK3000A_1_IO_SEL_O,           -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_SEL_O[3..0]
        IO_STB_O => PinSignal_TSK3000A_1_IO_STB_O,           -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_STB_O
        IO_WE_O  => PinSignal_TSK3000A_1_IO_WE_O,            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-IO_WE_O
        ME_ACK_I => NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_ACK, -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_ACK_I
        ME_ADR_O => PinSignal_TSK3000A_1_ME_ADR_O,           -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_ADR_O[31..0]
        ME_CYC_O => PinSignal_TSK3000A_1_ME_CYC_O,           -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_CYC_O
        ME_DAT_I => NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_DATOI, -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_DAT_I[31..0]
        ME_DAT_O => PinSignal_TSK3000A_1_ME_DAT_O,           -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_DAT_O[31..0]
        ME_SEL_O => PinSignal_TSK3000A_1_ME_SEL_O,           -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_SEL_O[3..0]
        ME_STB_O => PinSignal_TSK3000A_1_ME_STB_O,           -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_STB_O
        ME_WE_O  => PinSignal_TSK3000A_1_ME_WE_O,            -- ObjectKind=Pin|PrimaryId=TSK3000A_1-ME_WE_O
        RST_I    => RST_I,                                   -- ObjectKind=Pin|PrimaryId=TSK3000A_1-RST_I
        TCK      => JTAG_NEXUS_TCK,                          -- ObjectKind=Pin|PrimaryId=TSK3000A_1-TCK
        TDI      => PinSignal_TERM_TDO,                      -- ObjectKind=Pin|PrimaryId=TSK3000A_1-TDI
        TDO      => PinSignal_TSK3000A_1_TDO,                -- ObjectKind=Pin|PrimaryId=TSK3000A_1-TDO
        TMS      => JTAG_NEXUS_TMS,                          -- ObjectKind=Pin|PrimaryId=TSK3000A_1-TMS
        TRST     => JTAG_NEXUS_TRST                          -- ObjectKind=Pin|PrimaryId=TSK3000A_1-TRST
      );

    TERM : TERMINAL                                          -- ObjectKind=Part|PrimaryId=TERM|SecondaryId=1
      Port Map
      (
        ACK_O => PinSignal_TERM_ACK_O,                       -- ObjectKind=Pin|PrimaryId=TERM-ACK_O
        ADR_I => NamedSignal_WB_INTERCON_1_M1_S0_TERM_ADR,   -- ObjectKind=Pin|PrimaryId=TERM-ADR_I[3..0]
        CLK_I => NamedSignal_CLK_I,                          -- ObjectKind=Pin|PrimaryId=TERM-CLK_I
        CYC_I => NamedSignal_WB_INTERCON_1_M1_S0_TERM_CYC,   -- ObjectKind=Pin|PrimaryId=TERM-CYC_I
        DAT_I => NamedSignal_WB_INTERCON_1_M1_S0_TERM_DATIO, -- ObjectKind=Pin|PrimaryId=TERM-DAT_I[7..0]
        DAT_O => PinSignal_TERM_DAT_O,                       -- ObjectKind=Pin|PrimaryId=TERM-DAT_O[7..0]
        INT_O => PinSignal_TERM_INT_O,                       -- ObjectKind=Pin|PrimaryId=TERM-INT_O[1..0]
        RST_I => NamedSignal_RST_I,                          -- ObjectKind=Pin|PrimaryId=TERM-RST_I
        STB_I => NamedSignal_WB_INTERCON_1_M1_S0_TERM_STB,   -- ObjectKind=Pin|PrimaryId=TERM-STB_I
        TCK   => JTAG_NEXUS_TCK,                             -- ObjectKind=Pin|PrimaryId=TERM-TCK
        TDI   => JTAG_NEXUS_TDI,                             -- ObjectKind=Pin|PrimaryId=TERM-TDI
        TDO   => PinSignal_TERM_TDO,                         -- ObjectKind=Pin|PrimaryId=TERM-TDO
        TMS   => JTAG_NEXUS_TMS,                             -- ObjectKind=Pin|PrimaryId=TERM-TMS
        TRST  => JTAG_NEXUS_TRST,                            -- ObjectKind=Pin|PrimaryId=TERM-TRST
        WE_I  => NamedSignal_WB_INTERCON_1_M1_S0_TERM_WE     -- ObjectKind=Pin|PrimaryId=TERM-WE_I
      );

    GPIO : Configurable_GPIO                                 -- ObjectKind=Part|PrimaryId=GPIO|SecondaryId=1
      Port Map
      (
        ACK_O => PinSignal_GPIO_ACK_O,                       -- ObjectKind=Pin|PrimaryId=GPIO-ACK_O
        CLK_I => NamedSignal_CLK_I,                          -- ObjectKind=Pin|PrimaryId=GPIO-CLK_I
        CYC_I => NamedSignal_WB_INTERCON_1_M0_S0_GPIO_CYC,   -- ObjectKind=Pin|PrimaryId=GPIO-CYC_I
        DAT_I => NamedSignal_WB_INTERCON_1_M0_S0_GPIO_DATIO, -- ObjectKind=Pin|PrimaryId=GPIO-DAT_I[7..0]
        DAT_O => PinSignal_GPIO_DAT_O,                       -- ObjectKind=Pin|PrimaryId=GPIO-DAT_O[7..0]
        PAI   => GPIO_PAI,                                   -- ObjectKind=Pin|PrimaryId=GPIO-PAI[7..0]
        PAO   => PinSignal_GPIO_PAO,                         -- ObjectKind=Pin|PrimaryId=GPIO-PAO[7..0]
        RST_I => NamedSignal_RST_I,                          -- ObjectKind=Pin|PrimaryId=GPIO-RST_I
        STB_I => NamedSignal_WB_INTERCON_1_M0_S0_GPIO_STB,   -- ObjectKind=Pin|PrimaryId=GPIO-STB_I
        WE_I  => NamedSignal_WB_INTERCON_1_M0_S0_GPIO_WE     -- ObjectKind=Pin|PrimaryId=GPIO-WE_I
      );

    -- Signal Assignments
    ---------------------
    GPIO_PAO                                             <= PinSignal_GPIO_PAO; -- ObjectKind=Net|PrimaryId=GPIO_PAO[7..0]
    JTAG_NEXUS_TDO                                       <= PinSignal_TSK3000A_1_TDO; -- ObjectKind=Net|PrimaryId=NetTSK3000A_1_TDO
    NamedSignal_CLK_I                                    <= CLK_I; -- ObjectKind=Net|PrimaryId=CLK_I
    NamedSignal_GND1_BUS                                 <= "0000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    NamedSignal_GND2_BUS                                 <= "0000"; -- ObjectKind=Net|PrimaryId=GND2_BUS[3..0]
    NamedSignal_INTERRUPT_TSK3000A_1_INT_I(15 downto 0)  <= PinSignal_TSK3000A_1_LO_O; -- ObjectKind=Net|PrimaryId=INTERRUPT_TSK3000A_1_INT_I[15..0]
    NamedSignal_INTERRUPT_TSK3000A_1_INT_I(31 downto 16) <= PinSignal_TSK3000A_1_HI_O; -- ObjectKind=Net|PrimaryId=INTERRUPT_TSK3000A_1_INT_I[31..0]
    NamedSignal_RST_I                                    <= RST_I; -- ObjectKind=Net|PrimaryId=RST_I
    NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_ACK       <= PinSignal_WB_INTERCON_1_m0_ACK_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_ACK
    NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_ADR       <= PinSignal_TSK3000A_1_IO_ADR_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_ADR[23..0]
    NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_CYC       <= PinSignal_TSK3000A_1_IO_CYC_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_CYC
    NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_DATIO     <= PinSignal_TSK3000A_1_IO_DAT_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_DATIO[31..0]
    NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_DATOI     <= PinSignal_WB_INTERCON_1_m0_DAT_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_DATOI[31..0]
    NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_SEL       <= PinSignal_TSK3000A_1_IO_SEL_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_SEL[3..0]
    NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_STB       <= PinSignal_TSK3000A_1_IO_STB_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_STB
    NamedSignal_TSK3000A_1_M0_S0_WB_INTERCON_1_WE        <= PinSignal_TSK3000A_1_IO_WE_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M0_S0_WB_INTERCON_1_WE
    NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_ACK       <= PinSignal_WB_INTERCON_2_m0_ACK_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_ACK
    NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_ADR       <= PinSignal_TSK3000A_1_ME_ADR_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_ADR[31..0]
    NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_CYC       <= PinSignal_TSK3000A_1_ME_CYC_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_CYC
    NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_DATIO     <= PinSignal_TSK3000A_1_ME_DAT_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_DATIO[31..0]
    NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_DATOI     <= PinSignal_WB_INTERCON_2_m0_DAT_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_DATOI[31..0]
    NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_SEL       <= PinSignal_TSK3000A_1_ME_SEL_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_SEL[3..0]
    NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_STB       <= PinSignal_TSK3000A_1_ME_STB_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_STB
    NamedSignal_TSK3000A_1_M1_S0_WB_INTERCON_2_WE        <= PinSignal_TSK3000A_1_ME_WE_O; -- ObjectKind=Net|PrimaryId=TSK3000A_1_M1_S0_WB_INTERCON_2_WE
    NamedSignal_WB_INTERCON_1_M0_S0_GPIO_ACK             <= PinSignal_GPIO_ACK_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_ACK
    NamedSignal_WB_INTERCON_1_M0_S0_GPIO_CYC             <= PinSignal_WB_INTERCON_1_s0_CYC_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_CYC
    NamedSignal_WB_INTERCON_1_M0_S0_GPIO_DATIO           <= PinSignal_WB_INTERCON_1_s0_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_DATIO[7..0]
    NamedSignal_WB_INTERCON_1_M0_S0_GPIO_DATOI           <= PinSignal_GPIO_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_DATOI[7..0]
    NamedSignal_WB_INTERCON_1_M0_S0_GPIO_STB             <= PinSignal_WB_INTERCON_1_s0_STB_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_STB
    NamedSignal_WB_INTERCON_1_M0_S0_GPIO_WE              <= PinSignal_WB_INTERCON_1_s0_WE_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_GPIO_WE
    NamedSignal_WB_INTERCON_1_M1_S0_TERM_ACK             <= PinSignal_TERM_ACK_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_ACK
    NamedSignal_WB_INTERCON_1_M1_S0_TERM_ADR             <= PinSignal_WB_INTERCON_1_s1_ADR_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_ADR[3..0]
    NamedSignal_WB_INTERCON_1_M1_S0_TERM_CYC             <= PinSignal_WB_INTERCON_1_s1_CYC_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_CYC
    NamedSignal_WB_INTERCON_1_M1_S0_TERM_DATIO           <= PinSignal_WB_INTERCON_1_s1_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_DATIO[7..0]
    NamedSignal_WB_INTERCON_1_M1_S0_TERM_DATOI           <= PinSignal_TERM_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_DATOI[7..0]
    NamedSignal_WB_INTERCON_1_M1_S0_TERM_STB             <= PinSignal_WB_INTERCON_1_s1_STB_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_STB
    NamedSignal_WB_INTERCON_1_M1_S0_TERM_WE              <= PinSignal_WB_INTERCON_1_s1_WE_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M1_S0_TERM_WE
    NamedSignal_WB_INTERCON_2_M0_S0_XRAM_ACK             <= PinSignal_xram_ACK_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_ACK
    NamedSignal_WB_INTERCON_2_M0_S0_XRAM_ADR             <= PinSignal_WB_INTERCON_2_s0_ADR_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_ADR[19..0]
    NamedSignal_WB_INTERCON_2_M0_S0_XRAM_CYC             <= PinSignal_WB_INTERCON_2_s0_CYC_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_CYC
    NamedSignal_WB_INTERCON_2_M0_S0_XRAM_DATIO           <= PinSignal_WB_INTERCON_2_s0_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_DATIO[31..0]
    NamedSignal_WB_INTERCON_2_M0_S0_XRAM_DATOI           <= PinSignal_xram_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_DATOI[31..0]
    NamedSignal_WB_INTERCON_2_M0_S0_XRAM_SEL             <= PinSignal_WB_INTERCON_2_s0_SEL_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_SEL[3..0]
    NamedSignal_WB_INTERCON_2_M0_S0_XRAM_STB             <= PinSignal_WB_INTERCON_2_s0_STB_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_STB
    NamedSignal_WB_INTERCON_2_M0_S0_XRAM_WE              <= PinSignal_WB_INTERCON_2_s0_WE_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_XRAM_WE
    PowerSignal_GND                                      <= '0'; -- ObjectKind=Net|PrimaryId=GND
    xram_SRAM0_A                                         <= PinSignal_xram_SRAM0_A; -- ObjectKind=Net|PrimaryId=xram_SRAM0_A[17..0]
    xram_SRAM0_CE                                        <= PinSignal_xram_SRAM0_CE; -- ObjectKind=Net|PrimaryId=xram_SRAM0_CE
    xram_SRAM0_LB                                        <= PinSignal_xram_SRAM0_LB; -- ObjectKind=Net|PrimaryId=xram_SRAM0_LB
    xram_SRAM0_OE                                        <= PinSignal_xram_SRAM0_OE; -- ObjectKind=Net|PrimaryId=xram_SRAM0_OE
    xram_SRAM0_UB                                        <= PinSignal_xram_SRAM0_UB; -- ObjectKind=Net|PrimaryId=xram_SRAM0_UB
    xram_SRAM0_WE                                        <= PinSignal_xram_SRAM0_WE; -- ObjectKind=Net|PrimaryId=xram_SRAM0_WE
    xram_SRAM1_A                                         <= PinSignal_xram_SRAM1_A; -- ObjectKind=Net|PrimaryId=xram_SRAM1_A[17..0]
    xram_SRAM1_CE                                        <= PinSignal_xram_SRAM1_CE; -- ObjectKind=Net|PrimaryId=xram_SRAM1_CE
    xram_SRAM1_LB                                        <= PinSignal_xram_SRAM1_LB; -- ObjectKind=Net|PrimaryId=xram_SRAM1_LB
    xram_SRAM1_OE                                        <= PinSignal_xram_SRAM1_OE; -- ObjectKind=Net|PrimaryId=xram_SRAM1_OE
    xram_SRAM1_UB                                        <= PinSignal_xram_SRAM1_UB; -- ObjectKind=Net|PrimaryId=xram_SRAM1_UB
    xram_SRAM1_WE                                        <= PinSignal_xram_SRAM1_WE; -- ObjectKind=Net|PrimaryId=xram_SRAM1_WE

end structure;
------------------------------------------------------------

