-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFT5B
-- Description: 	5-Bit 3-state Buffer with Active Low Enable, Bus Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFT5B
-- -----------------------------------------------------------------
ENTITY BUFT5B IS
    Port(	T: IN std_logic:='U';
    		I: IN  std_logic_vector(4 downto 0):=(others => 'U');
         	O: OUT std_logic_vector(4 downto 0));
end BUFT5B;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFT5B
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFT5B IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------

   O <= I when T='0' else (others => 'Z');
-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
