-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFT9B
-- Description: 	9-Bit 3-state Buffer with Active Low Enable, Bus Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFT9B
-- -----------------------------------------------------------------
ENTITY BUFT9B IS
    Port(	T: IN std_logic:='U';
    		I: IN  std_logic_vector(8 downto 0):=(others => 'U');
         	O: OUT std_logic_vector(8 downto 0));
end BUFT9B;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFT9B
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFT9B IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------

   O <= I when T='0' else (others => 'Z');
-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
