-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	IOBUFC2S
-- Description: 	2-Bit Input/Output Buffer With Separated Control, Single Pin Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity IOBUFC2S is
  port (
    T0,T1   : in    std_logic;
    I0  	: in    std_logic;
    I1		: in 	std_logic;
    IO0 	: inout std_logic;
    IO1 	: inout std_logic;
    O0  	: out  std_logic;
    O1	 	: out  std_logic
    );
end IOBUFC2S;

architecture STRUCTURE of IOBUFC2S is

begin

   O0 <= I0;
   O1 <= I1;
   
  IO0 <= I0 when T0 = '0' else 'Z';
  IO1 <= I1 when T1 = '0' else 'Z';



end STRUCTURE;
