-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J16B_4B4
-- Description: 	1 x 16-bit input bus to 4 x 4-Bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J16B_4B4 is
  port (
    I : in std_logic_vector(15 downto 0);
    OA, OB, OC, OD : out std_logic_vector(3 downto 0)
    );
end entity;

architecture STRUCTURE of J16B_4B4 is
begin

  OA(0) <= I(0);
  OA(1) <= I(1);
  OA(2) <= I(2);
  OA(3) <= I(3);
  
  OB(0) <= I(4);
  OB(1) <= I(5);
  OB(2) <= I(6);
  OB(3) <= I(7);

  OC(0) <= I(8);
  OC(1) <= I(9);
  OC(2) <= I(10);
  OC(3) <= I(11);
  
  OD(0) <= I(12);
  OD(1) <= I(13);
  OD(2) <= I(14);
  OD(3) <= I(15);

end architecture;
