-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J7S_7B
-- Description: 	7 Single pin inputs to single 7-Bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J7S_7B is
  port (
    I0, I1, I2, I3, I4, I5, I6 : in std_logic;
    O : out std_logic_vector(6 downto 0)
    );
end entity;

architecture STRUCTURE of J7S_7B is
begin

  O(0) <= I0;
  O(1) <= I1;
  O(2) <= I2;
  O(3) <= I3;
  O(4) <= I4;
  O(5) <= I5;
  O(6) <= I6;

end architecture;
