#include <stdlib.h>
#include <stdint.h>
#include "hardware.h"
#include <stdio.h>

uint16_t crc16(uint8_t * ptr, size_t count)
{
         uint16_t crc=0;
         do
         {
            crc=crc ^ (uint16_t)*ptr++ << 8;
            for (int bitcount = 0; bitcount < 8; bitcount++)
            {
                if (crc & 0x8000)
                   crc = crc << 1 ^0x1021;
                else
                    crc <<=1;
            }
         } while(count-- );
         return crc;

}





























































































